CreateEncryptionZoneFlag (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.client, enum: CreateEncryptionZoneFlag

Package org.apache.hadoop.hdfs.client

# Enum Class CreateEncryptionZoneFlag

java.lang.Object
java.lang.Enum<CreateEncryptionZoneFlag>
org.apache.hadoop.hdfs.client.CreateEncryptionZoneFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<CreateEncryptionZoneFlag>`, `Constable`

@Public @Evolving public enum CreateEncryptionZoneFlag extends Enum<CreateEncryptionZoneFlag>
CreateEncryptionZoneFlag is used in `HdfsAdmin.createEncryptionZone(Path, String, EnumSet)` to indicate what should be done when creating an encryption zone. Use CreateEncryptionZoneFlag as follows:

1. PROVISION_TRASH - provision a trash directory for the encryption zone to support soft delete.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_TRASH`
  Do not provision a trash directory in the encryption zone.
  `PROVISION_TRASH`
  Provision a trash directory .Trash/ in the encryption zone.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getMode()`
  `static CreateEncryptionZoneFlag`
  `valueOf(short mode)`
  Returns the enum constant of this class with the specified name.
  `static CreateEncryptionZoneFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CreateEncryptionZoneFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_TRASH

    public static final CreateEncryptionZoneFlag NO_TRASH
    Do not provision a trash directory in the encryption zone.
    See Also:
      - `NO_TRASH`

  - ### PROVISION_TRASH

    public static final CreateEncryptionZoneFlag PROVISION_TRASH
    Provision a trash directory .Trash/ in the encryption zone.
    See Also:
      - `PROVISION_TRASH`

- ## Method Details

  - ### values

    public static CreateEncryptionZoneFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CreateEncryptionZoneFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOf

    public static CreateEncryptionZoneFlag valueOf(short mode)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `mode` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMode

    public short getMode()